package org.kaoriha.jspbp.helloworld;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.kaoriha.jspbp.BeforeGettable;
import org.kaoriha.jspbp.BeforePostable;

public class ContForm implements BeforeGettable, BeforePostable {
	private String a;
	private String b;
	private ContReceive.Continuation continuation;

	public void beforeGet(HttpServletRequest arg0, HttpServletResponse arg1)
			throws IOException, ServletException {
	}

	public void beforePost(HttpServletRequest request,
			HttpServletResponse response) throws IOException, ServletException {
		continuation = new ContReceive.Continuation();
		try {
			int a = Integer.parseInt(getA());
			int b = Integer.parseInt(getB());
			continuation.c = Integer.toString(a + b);
		} catch (NumberFormatException e) {
			continuation.c = "NaN";
		}
		response.sendRedirect("contReceive.jsp");
	}

	public ContReceive.Continuation getContinuation() {
		return continuation;
	}

	public String getA() {
		return a;
	}

	public void setA(String a) {
		this.a = a;
	}

	public String getB() {
		return b;
	}

	public void setB(String b) {
		this.b = b;
	}
}
