package org.kaoriha.jspbp.helloworld;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.kaoriha.jspbp.BeforeGettable;

public class ContPers3 implements BeforeGettable {
	private ContPers2Form.Continuation continuation;
	private String c;

	public void beforeGet(HttpServletRequest request,
			HttpServletResponse response) throws IOException, ServletException {
		if (continuation == null || continuation.getA() == null) {
			response.sendRedirect("contPers1Form.jsp");
			return;
		}
		if (continuation.getB() == null) {
			response.sendRedirect("contPers2Form.jsp");
			return;
		}
		int c = Integer.parseInt(continuation.getA())
				+ Integer.parseInt(continuation.getB());
		this.c = Integer.toString(c);
	}

	public void setContinuation(ContPers2Form.Continuation continuation) {
		this.continuation = continuation;
	}

	public String getC() {
		return c;
	}
}
