package org.kaoriha.jspbp.helloworld;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.jdom.Element;
import org.jdom.output.XMLOutputter;
import org.kaoriha.jspbp.BeforeGettable;

public class Table implements BeforeGettable {
	private String t;

	public void beforeGet(HttpServletRequest request, HttpServletResponse response)
			throws IOException, ServletException {
		Element table = new Element("table").setAttribute("border", "1");
		table.addContent(new Element("caption").setText("CAPTION"));
		table.addContent(new Element("tr")
				.addContent(new Element("th").setText("TH1"))
				.addContent(new Element("td").setText("TD1-1"))
				.addContent(new Element("td").setText("TD1-2")));
		table.addContent(new Element("tr")
				.addContent(new Element("th").setText("TH2"))
				.addContent(new Element("td").setText("TD2-1"))
				.addContent(new Element("td").setText("TD2-2")));
		XMLOutputter xo = new XMLOutputter();
		t = xo.outputString(table);
	}

	public String getT() {
		return t;
	}
}
