package org.kaoriha.jspbp.helloworld;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.kaoriha.jspbp.BeforeGettable;
import org.kaoriha.jspbp.BeforePostable;
import org.kaoriha.jspbp.Persistent;

public class ContPers1Form implements BeforeGettable, BeforePostable,
		Persistent {
	private String a;
	private String persistentId;
	private ContPers2Form.Continuation continuation;

	public void beforeGet(HttpServletRequest arg0, HttpServletResponse arg1)
			throws IOException, ServletException {
	}

	public void beforePost(HttpServletRequest request,
			HttpServletResponse response) throws IOException, ServletException {
		try {
			Integer.parseInt(getA());
		} catch (NumberFormatException e) {
			setA("");
			response.sendRedirect(request.getRequestURI());
			return;
		}
		continuation = new ContPers2Form.Continuation();
		continuation.setA(getA());
		response.sendRedirect("contPers2Form.jsp");
	}

	public ContPers2Form.Continuation getContinuation() {
		return continuation;
	}

	public String getA() {
		return a;
	}

	public void setA(String a) {
		this.a = a;
	}

	public String getPersistentId() {
		return persistentId;
	}

	public void setPersistentId(String persistentId) {
		this.persistentId = persistentId;
	}
}
