package org.kaoriha.jspbp.helloworld;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.kaoriha.jspbp.BeforeGettable;
import org.kaoriha.jspbp.BeforePostable;
import org.kaoriha.jspbp.Persistent;

public class PersistentForm implements BeforeGettable, BeforePostable, Persistent {
	private String a;
	private String b;
	private String c;
	private String persistentId;

	public void beforeGet(HttpServletRequest request,
			HttpServletResponse response) throws IOException, ServletException {
	}

	public void beforePost(HttpServletRequest request,
			HttpServletResponse response) throws IOException, ServletException {
		try {
			int a = Integer.parseInt(getA());
			int b = Integer.parseInt(getB());
			setC(Integer.toString(a + b));
		} catch (NumberFormatException e) {
			setC("NaN");
		}
		response.sendRedirect(request.getRequestURI());
	}
	
	public String getA() {
		return a;
	}

	public void setA(String a) {
		this.a = a;
	}

	public String getB() {
		return b;
	}

	public void setB(String b) {
		this.b = b;
	}

	public String getC() {
		return c;
	}

	public void setC(String c) {
		this.c = c;
	}

	public String getPersistentId() {
		return persistentId;
	}

	public void setPersistentId(String persistentId) {
		this.persistentId = persistentId;
	}
}
