package org.kaoriha.jspbp.helloworld;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.kaoriha.jspbp.BeforeGettable;
import org.kaoriha.jspbp.BeforePostable;

public class SimpleForm implements BeforeGettable, BeforePostable {
	private String a;
	private String b;
	private String c;

	public void beforeGet(HttpServletRequest arg0, HttpServletResponse arg1)
			throws IOException, ServletException {
	}

	public void beforePost(HttpServletRequest request,
			HttpServletResponse response) throws IOException, ServletException {
		try {
			int a = Integer.parseInt(getA());
			int b = Integer.parseInt(getB());
			setC(Integer.toString(a + b));
		} catch (NumberFormatException e) {
			setC("NaN");
		}
	}

	public String getA() {
		return a;
	}

	public void setA(String a) {
		this.a = a;
	}

	public String getB() {
		return b;
	}

	public void setB(String b) {
		this.b = b;
	}

	public String getC() {
		return c;
	}

	public void setC(String c) {
		this.c = c;
	}

}
